summaryrefslogtreecommitdiffstats
path: root/source/n/gnupg/gnupg.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/gnupg/gnupg.SlackBuild')
-rwxr-xr-xsource/n/gnupg/gnupg.SlackBuild41
1 files changed, 32 insertions, 9 deletions
diff --git a/source/n/gnupg/gnupg.SlackBuild b/source/n/gnupg/gnupg.SlackBuild
index 8f73536fa..965da043e 100755
--- a/source/n/gnupg/gnupg.SlackBuild
+++ b/source/n/gnupg/gnupg.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2016, 2018, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2016, 2018, 2021, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gnupg
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,6 +74,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+cat $CWD/0001-Rename-package-to-gnupg1-1656282.patch | patch -p1 --verbose || exit 1
+autoreconf -vif
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -84,13 +87,33 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*
-
-gzip -9 $PKG/usr/man/*/*
+# Rename the binaries:
+for binary in gpg gpgv gpg-zip gpgsplit; do
+ mv $PKG/usr/bin/${binary} $PKG/usr/bin/${binary}1
+done
+
+# Rename the manpages:
+for page in gpg gpgv gpg-zip ; do
+ mv $PKG/usr/man/man1/${page}.1 $PKG/usr/man/man1/${page}1.1
+done
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
mkdir -p $PKG/usr/doc/gnupg-$VERSION
cp -a \